# $Revision: 1.12 $ $Date: 2010/07/08 08:13:40 $

%define 	module	Grouch

Summary:	System for describing and enforcing a Python object schema
Summary(pl.UTF-8):	System opisu i wymuszania schematu obiektów Pythona
Name:		python-%{module}
Version:	0.4
Release:	3
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/grouch/%{module}-%{version}.tar.gz
# Source0-md5:	02d4894bff29a5c862ddf959fd0da16e
URL:		http://www.mems-exchange.org/software/grouch/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grouch is a system for describing and enforcing a Python object
schema. An object schema describes every class in a collection of
objects -- in particular, it specifies the type of every instance
attribute of every class. Grouch includes a type language for
specifying attribute types, a tool to parse specially-formatted class
docstrings and output a complete object schema, and another tool for
walking a persistent object graph and ensuring that every scrap of
data in it conforms to the object schema extracted from your class
docstrings. The API for defining, querying, and enforcing types is
fairly complete and well-documented, so you can use Grouch's type
system in other ways as well.

%description -l pl.UTF-8
Grouch jest systemem opisu i wymuszania zachowania schematu obiektów
Pythona. Schemat obiektów opisuje każdą klasę kolekcji obiektów - w
szczególności specyfikuje typ każdej instancji atrybutu każdej z klas.
Grouch zawiera język typów umożliwiający specyfikowanie typów
atrybutów. Zawiera też narzędzie pozwalające na parsowanie odpowiednio
sformatowanych łańcuchów dokumentujących oraz utworzenie kompletnego
schematu obiektów. W skład Grouch wchodzi też narzędzie potrafiące
przeanalizować stały graf obiektów w celu stwierdzenia, czy każdy
element danych jest zgodny ze schematem danych wyekstrahowanym z
łańcuchów dokumentujących w klasach. API umożliwiające definiowanie,
odpytywanie oraz utrzymywanie typów jest kompletne i dobrze
udokumentowane, system typów Groucha może więc być użyty do innych
celów.

%package doc
Summary:	Documentation for Grouch module
Summary(pl.UTF-8):	Dokumentacja do modułu Grouch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for Grouch Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona Grouch.

%package examples
Summary:	Examples for Grouch module
Summary(pl.UTF-8):	Przykłady do modułu Grouch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for Grouch Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona Grouch.

%package utils
Summary:	Utils for Grouch module
Summary(pl.UTF-8):	Narzędzia do modułu Grouch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description utils
This package contains utility files for Grouch Python module.

%description utils -l pl.UTF-8
Pakiet zawierający programy narzędziowe dla modułu Pythona Grouch.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version},%{_bindir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%{py_sitescriptdir}/grouch

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Grouch.spec,v $
Revision 1.12  2010/07/08 08:13:40  arekm
- release 3

Revision 1.11  2008/10/03 17:50:39  arekm
- release 2

Revision 1.10  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.8  2004/12/17 16:44:52  darekr
- updated to 0.4, BR python-modules

Revision 1.7  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.6  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/08/02 05:44:37  zboczuch
- version 0.3

Revision 1.4  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/05/28 18:38:44  zboczuch
- pl fixes

Revision 1.2  2004/05/28 18:36:44  zboczuch
- adaptarized

Revision 1.1  2004/05/28 18:35:48  zboczuch
- initial

